<?php use_helper('UrlFunctions'); ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php

if(isset($control)){

  $o_DocumentoBean = new DocumentoBean();
  
  $o_DocumentoBean->setIdDocumento($id);
  $o_DocumentoBean->setDescripcion($Descripcion);
  $o_DocumentoBean->setEstado($cboEstado);
  $o_DocumentoBean->setEliminado($Eliminado);
  $o_DocumentoBean->setFechaModificacion(date("Y-m-d"));
  $o_DocumentoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
  
  $o_DocumentoSystemClass = new DocumentoSystemClass($o_DocumentoBean);
  $bResult = $o_DocumentoSystemClass->actualizarDocumento();
  
  if($bResult){
    ?>
    <script language="JavaScript">
    parent.objMainTab.reqBody('<?=buildUrl('tid/list')?>','&block=001&update=1&cod=<?=$o_DocumentoBean->getIdDocumento()?>');
    parent.objMainTab.windowsCloseAll();
    </script>
    <?
  }else{
    $url = buildUrl('tid/edit', "block=".$block."&error=1");
  }
  
}

//Grados
//$o_DocenteSystemClass = new DocenteSystemClass(new GradoBean());
//$a_Grado = $o_DocenteSystemClass->getGrado();
//Facultades
//$o_DocenteSystemClass = new DocenteSystemClass(new FacultadBean());
//$a_Facultad = $o_DocenteSystemClass->getFacultad();
//Tipo de Docentes
//$o_DocenteSystemClass = new DocenteSystemClass(new TipoDocenteBean());
//$a_TipoDocente = $o_DocenteSystemClass->getTipoDocente();

//$o_DocenteSystemClass = new DocenteSystemClass(new EspecialidadBean());
//$a_Especialiadad = $o_DocenteSystemClass->getEspecialidad();

$o_DocumentoBean = new DocumentoBean();
$o_DocumentoBean->setIdDocumento($id);
$o_class = new DocumentoBL();
$o_ObjectBean = $o_class->busquedaDocumento($o_DocumentoBean);

//Todas especialidades de esa Facultad



//---

//Cargar el Ubigeo en combos


?>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Documento</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Editar Documento</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
      <script type="text/javascript">
        validatePass = function(){
          
            valid.onSubmit = false;
          
        }
      </script>
  <tr>
    <td valign="top">
       <form id="form1" name="form1" method="POST">
        <input type="hidden" name="control" value="1"> 
        <table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0" style="background: #E3E9E2">
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos Generales</I></legend>
    					 <table width="100%" border="0" cellspacing="6" cellpadding="0">
							  <tr>
								<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtDescripcion" >Descripci&oacute;n</label></td>
								<td nowrap="nowrap"><input class="text required" type="text" name="Descripcion" id="Descripcion" size="40" maxlength="50" value="<?php echo $o_ObjectBean->getDescripcion();?>"/></td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								 <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtEstado" >Estado</label></td>
								<td nowrap="nowrap" width="38%">
								   <select name="cboEstado" id="cboEstado" type="text" class="combo" onchange="acutalizarEspecialidad('cboEspecialidad',this)"/> 
									  <option value="" >Selecione</option>
									  <option value="A" <?php  if($o_ObjectBean->getEstado() == 'A') echo "selected='selected'"?>>Activo</option>
									  <option value="I" <?php  if($o_ObjectBean->getEstado() == 'I') echo "selected='selected'"?>>Inactivo</option>
							  		</select>
								</td>
								
							 </tr>
						</table>
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
							  <tr>
								 <td><img src="/images/common/spacer.gif" width="10"></td>
							  </tr>
							  <tr>
								<td align="center">
								  <input type="hidden" name="typeSubmit" id="typeSubmit">
								  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
								  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">
								  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
								</td>
							  </tr>
							  <tr>
								<td height="10">&nbsp;</td>
							  </tr>
							</table>
    					</fieldset>				
    				</td>
                </tr>
      </table>
      </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
</table>
<?php
  
?>